Summary: provides support for IMAP and POP network mail protocols
Name: imap
Version: 4.1.BETA
Release: 9
Copyright: BSD
Group: Networking/Daemons
Source: ftp://ftp.cac.washington.edu/mail/imap-4.1.BETA.tar.Z
Source1: imap.pamd
Patch0: imap-4.1.BETA-linux.patch
Patch1: imap-4.1.BETA-pam.patch
BuildRoot: /tmp/imap
Requires: pam >= 0.59

%description
IMAP is a server for the POP (Post Office Protocol) and IMAP mail protocols.
The POP protocol allows a "post office" machine to collect mail for users
and have that mail downloaded to the user's local machine for reading. The
IMAP protocol provides the functionality of POP, and allows a user to
read mail on a remote machine without moving it to his local mailbox.

%changelog
* Wed Dec 10 1997 Cristian Gafton <gafton@redhat.com>
- Updated to the latest imap as of today...
- Updated the pam patch to reflect the new directory organization

* Thu Oct 23 1997 Michael K. Johnson <johnsonm@redhat.com>
- Fix patch for new PAM spec compliance.

* Thu Oct 02 1997 Michael K. Johnson <johnsonm@redhat.com>
- Comply with change in PAM spec.
- Use a buildroot.

* Mon Mar 03 1997 Michael K. Johnson <johnsonm@redhat.com>
- Moved from pam.conf to pam.d

* Mon Mar 03 1997 Erik Troan <ewt@redhat.com>
- Fixed buffer overrun in server_login().

%prep
cd $RPM_BUILD_DIR
rm -rf imap
%setup -n imap-4.1.BETA
%patch0 -p1 -b .linux
%patch1 -p1 -b .pam

%build
RPM_OPT_FLAGS="-O2"
%ifarch i386
RPM_OPT_FLAGS="$RPM_OPT_FLAGS -m486"
%endif

make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" lnx

%clean
rm -f imap
rm -rf $RPM_BUILD_ROOT

%install
mkdir -p $RPM_BUILD_ROOT/usr/man/man8
install -m 644 ./src/ipopd/ipopd.8c $RPM_BUILD_ROOT/usr/man/man8/ipopd.8c
install -m 644 ./src/imapd/imapd.8c $RPM_BUILD_ROOT/usr/man/man8/imapd.8c
mkdir -p $RPM_BUILD_ROOT/usr/sbin
install -s -m 755 ./ipopd/ipop2d $RPM_BUILD_ROOT/usr/sbin
install -s -m 755 ./ipopd/ipop3d $RPM_BUILD_ROOT/usr/sbin
install -s -m 755 ./imapd/imapd $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/etc/pam.d
install -m 644 -o 0 -g 0 ${RPM_SOURCE_DIR}/imap.pamd $RPM_BUILD_ROOT/etc/pam.d/imap

%files
%config /etc/pam.d/imap
/usr/man/man8/ipopd.8c
/usr/man/man8/imapd.8c
/usr/sbin/ipop2d
/usr/sbin/ipop3d
/usr/sbin/imapd
%doc README-FIRST
